<?php
	session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
		$opendb=new mydb();
	require_once('inc/char_set.php');
	
	$selectcate=$_GET['selectcate'];
		
	if ($_GET['ls_msg']=="")
	{
		$ls_msg="单页管理操作";
	}	
	else
	{
		$ls_msg=$_GET['ls_msg'];	
	}
		$ls=$_GET['ls'];
		$id=$_GET['id'];
	switch ($ls)
	{
		
	 	case "unenable":
			$unenable_sql="update ls_singlepages set enable=0 where id=".$id." ";
			//echo $unenable_sql;
			$unenable_query=$opendb->query($unenable_sql);
			$ls_msg="不显示操作成功！";
			break;
		case "enable":
			$enable_sql="update ls_singlepages set enable=1 where id=".$id." ";
			//echo $enable_sql;
			$enable_query=$opendb->query($enable_sql);
			$ls_msg="显示操作成功！";
			break;
		case "del":
			$del_sql="delete from ls_singlepages where ID=".$id."";
	   		//echo $del_sql;
	   	$del_query=$opendb->query($del_sql);
	   	$ls_msg="删除操作成功！";
			break;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<script language="JavaScript" src="js/ls.js"></script>
		<title>无标题文档</title>
	</head>

 <body>
	<table width="98%" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#6396d6">
			<tr>
				<td height="18" background="images/admin_bg.gif"><div align="center"><font color="#ffffff"><strong>单页管理</strong></font></div>
				</td>
			</tr>
			<tr>
				<td height="213" valign="top" bgcolor="#dee7ff"><br>
					<form name="del" method="Post" action="delall.php" onSubmit="return ConfirmDel();">
					<table border="0" width="90%" align="center">
						<tr>
							<td width="63%" style="border-bottom:1px solid #FFF;">提示：<font color="#FF0000"><?php echo $ls_msg; ?></font></td>
							<td width="9%" align="right" style="border-bottom:1px solid #FFF;"><div align="left"><span style="padding-left:20px;">
							</span></div></td>
							<td width="28%" align="right" style="border-bottom:1px solid #FFF;"><img src="images/shao.gif">&nbsp;<a href="addsinglepage.php"><u>添加</u></a></td>
						</tr>
					</table>
					<br>
					
					<?php
					// 获取当前页数
													if( isset($_GET['page']) ){
													   $page = intval( $_GET['page'] );
													}
													else{
													   $page = 1;
													}
													// 每页数量
													$PageSize = $PageNum;
													
													// 获取总数据量
													/********************************************************************************/
														if($selectcate<>''&&$selectcate<>'全部'){	$sql="select * from ls_singlepages  order by Num,pageDate desc";}
														else
														{	$sql="select * from ls_singlepages order by Num desc,pageDate desc";	}

														$result=$opendb->query($sql);
													
													/********************************************************************************/
													// 获取总数据量
													
													$row = mysql_num_rows($result);
													$amount = $row;
													
													// 记算总共有多少页
													if( $amount ){
													   if( $amount < $PageSize ){ $page_count = 1; }			   //如果总数据量小于$PageSize，那么只有一页
													   if( $amount % $PageSize ){								  //取总数据量除以每页数的余数
														   $page_count = (int)($amount / $PageSize) + 1;		   //如果有余数，则页数等于总数据量除以每页数的结果取整再加一
													   }else{
														   $page_count = $amount / $PageSize;					  //如果没有余数，则页数等于总数据量除以每页数的结果
													   }
													}
													else{
													   $page_count = 0;
													}
													
													// 翻页链接
													$page_string = '';
														
													if( $page == 1 ){
													   $page_string .= '首页 | 上一页 |';
													}
													else{
													   $page_string .= '<a href=?selectcate='.$selectcate.'&page=1><u><font color=\"#0000FF\">首页</font></u></a> | <a href=?selectcate='.$selectcate.'&page='.($page-1).'><u><font color=\"#0000FF\">上一页</font></u></a> | ';
													}
													if( ($page == $page_count) || ($page_count == 0) ){
													   $page_string .= ' 下一页 | 尾页';
													}
													else{
													   $page_string .= ' <a href=?selectcate='.$selectcate.'&page='.($page+1).'><u><font color=\"#0000FF\">下一页</font></u></a> | <a href=?selectcate='.$selectcate.'&page='.$page_count.'><u><font color=\"#0000FF\">尾页</font></u></a>';
													}
														 $page_string .= " &nbsp;&nbsp;页次：<font color='#FF0000'><b>".$page."</b></font>/<b>".$page_count."</b>页";
														 $page_string .= " &nbsp;&nbsp;<b>".$PageSize."</b>个每页";
														 
													$ls_msg2="单页管理 >> 所有单页";
					
					?>
					
				
				<table border="0" width="90%" align="center">
						<tr>
							<td><?php echo $ls_msg2; ?></td>
							<td align="right">共 <b><?php echo $row; ?></b>条</td>
				  </tr>
					 </table>
					 <table width="90%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#FFFFFF">
						<tr bgcolor="#B9DAFF">
							<td align="center" height="35" width="38">选中</td>
							<td align="center" height="25" width="38">编号</td>
							<td align="center" width="265">单页标题</td>
							<td align="center" width="260">单页说明</td>
							<td align="center" width="80">日期</td>
							<td align="center" width="176">URL</td>
							<td align="center" width="40">序号</td>
						  <td align="center" colspan="2"  >操作</td>
							
			<td align="center" width="40">允许</td>
						</tr>
						<?php
													$single_sql=$sql." limit ". ($page-1)*$PageSize .",".$PageSize." ";	
													$single_query=$opendb->query($single_sql);
						
													$i=1;
													while($single_rows=mysql_fetch_assoc($single_query))
										 			 {
													echo "<tr bgcolor='#f4f4f4'";
												echo "onMouseOver=";
													echo " 	this.style.backgroundColor='#CCFFCC' ";
													echo "onMouseOut=";
													echo " 	this.style.backgroundColor='#f4f4f4' ";
													echo ">";
													echo "	<td align='center'  height=\"28\">";
													echo "		<input name='select_id".$i."' type='checkbox' onclick=\"unselectall()\" id=\"select_id\" value='".$single_rows['ID']."'>";
													echo "	</td>";
													echo "	<td align='center'>";
													echo 	$single_rows['ID'];
													echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$single_rows['pageTitle'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$single_rows['pageBrief'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$single_rows['pageDate'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		"singlepage.php?id=".$single_rows['ID'];
												  echo "	</td>";
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$single_rows['Num'];
												  echo "	</td>";
												  echo "	<td align='center'> ";
													echo "		<a href='modisinglepage.php?selectcate=".$selectcate."&page=$page&id=".$single_rows['ID']."' title='编辑'><img src='images/b_edit.png' border='0'></a>";
													echo "  </td>";
													echo "	<td align='center'> ";
													echo "		<a href='?selectcate=".$selectcate."&page=$page&id=".$single_rows['ID']."&ls=del' onclick='return ConfirmDelSubCate();' title='删除'><img src='images/b_drop.png' border='0'></a>";
													echo "  </td>";
													echo "	<td align='center'>";
											  
													  if($single_rows['enable']==1)
														{
															echo "<a href='?selectcate=".$selectcate."&page=$page&id=".$single_rows['ID']."&ls=unenable' title='显示'><img src='images/enable.gif' border='0'></a>";
														}
													  if($single_rows['enable']==0)
													  	{
															echo "<a href='?selectcate=".$selectcate."&page=$page&id=".$single_rows['ID']."&ls=enable' title='不显示'><img src='images/unenable.gif' border='0'></a>";
														}
																				
													echo "	</td>";
												  echo "</tr>";
												  
												  $i++;
												 }
												 	echo "<tr bgcolor=\"#B9DAFF\">";
												  echo "<td colspan='10' align='center' height='25'>";
												  echo $page_string;
												  echo "</td>";
												  echo "</tr>";
						
					?>
					</table>
					<br>
					<table width="90%" border="0" align="center" cellpadding="3" cellspacing="1"  >
					<tr >
					  <td width="85%" height="30" style="padding-left:6px;">
							<input name="chkAll" type="checkbox" id="chkAll" onclick=CheckAll(this.form) value="checkbox"> 选中本页显示的所有产品
							<input name="submit" type='submit' value='删除选定'>
							<input name="Action" type="hidden" id="Action" value="singleDel">
							
							
					  </td>
							<td width="15%" height="30" align="right" style="padding-left:6px;"><span style="border-bottom:1px solid #FFF;"><img src="images/shao.gif" alt="" />&nbsp;<a href="addsinglepage.php"><u>添加</u></a></span></td>
					  </tr>
					</table>
					<br />
                  </form>
				
					
				</td>
			</tr>
	</table>
 </body>
</html>